Package com.norconex.commons.lang.bean.jackson

# Class EmptyWithClosingTagXmlFactory

java.lang.Object
com.fasterxml.jackson.core.TokenStreamFactory
com.fasterxml.jackson.core.JsonFactory
com.fasterxml.jackson.dataformat.xml.XmlFactory
com.norconex.commons.lang.bean.jackson.EmptyWithClosingTagXmlFactory

All Implemented Interfaces:
  `com.fasterxml.jackson.core.Versioned`, `Serializable`

public class EmptyWithClosingTagXmlFactory extends com.fasterxml.jackson.dataformat.xml.XmlFactory
Version of `XmlFactory` that configures a `XmlPrettyPrinter` to write "empty" objects with a closing tag instead of self-closing. Self-closing are treated as `null` and a pair of tags witn no content is treated as empty.

Since:
  3.0.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.fasterxml.jackson.core.JsonFactory

  `com.fasterxml.jackson.core.JsonFactory.Feature`

- ## Field Summary

  ### Fields inherited from class com.fasterxml.jackson.dataformat.xml.XmlFactory

  `_cfgNameForTextElement, _jdkXmlInFactory, _jdkXmlOutFactory, _nameProcessor, _xmlGeneratorFeatures, _xmlInputFactory, _xmlOutputFactory, _xmlParserFeatures, FORMAT_NAME_XML`

  ### Fields inherited from class com.fasterxml.jackson.core.JsonFactory

  `_byteSymbolCanonicalizer, _characterEscapes, _errorReportConfiguration, _factoryFeatures, _generatorDecorators, _generatorFeatures, _inputDecorator, _maximumNonEscapedChar, _objectCodec, _outputDecorator, _parserFeatures, _quoteChar, _recyclerPool, _rootCharSymbols, _rootValueSeparator, _streamReadConstraints, _streamWriteConstraints, DEFAULT_FACTORY_FEATURE_FLAGS, DEFAULT_GENERATOR_FEATURE_FLAGS, DEFAULT_PARSER_FEATURE_FLAGS, DEFAULT_QUOTE_CHAR, DEFAULT_ROOT_VALUE_SEPARATOR, FORMAT_NAME_JSON`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmptyWithClosingTagXmlFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.fasterxml.jackson.dataformat.xml.ser.ToXmlGenerator`
  `createGenerator(Writer out)`

  ### Methods inherited from class com.fasterxml.jackson.dataformat.xml.XmlFactory

  `_createGenerator, _createParser, _createParser, _createParser, _createParser, _createXmlWriter, _createXmlWriter, _decorate, _decorate, _initFactories, _initializeXmlReader, _initializeXmlWriter, builder, canUseCharArrays, configure, configure, copy, createGenerator, createGenerator, createGenerator, createGenerator, createParser, createParser, disable, disable, enable, enable, getFormatGeneratorFeatures, getFormatName, getFormatParserFeatures, getFormatReadFeatureType, getFormatWriteFeatureType, getXMLInputFactory, getXmlNameProcessor, getXMLOutputFactory, getXMLTextElementName, hasFormat, hasXMLFormat, isEnabled, isEnabled, readResolve, rebuild, requiresCustomCodec, setXMLInputFactory, setXmlNameProcessor, setXMLOutputFactory, setXMLTextElementName, version`

  ### Methods inherited from class com.fasterxml.jackson.core.JsonFactory

  `_checkInvalidCopy, _copy, _createContentReference, _createContentReference, _createContext, _createContext, _createNonBlockingContext, _createParser, _createUTF8Generator, _createWriter, _decorate, _decorate, _decorate, _decorate, _decorate, _decorate, _getBufferRecycler, _getRecyclerPool, canHandleBinaryNatively, canParseAsync, canUseSchema, configure, configure, configure, createGenerator, createGenerator, createJsonGenerator, createJsonGenerator, createJsonGenerator, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createNonBlockingByteArrayParser, createNonBlockingByteBufferParser, createParser, createParser, createParser, createParser, createParser, createParser, createParser, createParser, createParser, disable, disable, disable, enable, enable, enable, getCharacterEscapes, getCodec, getFactoryFeatures, getGeneratorFeatures, getInputDecorator, getOutputDecorator, getParserFeatures, getRootValueSeparator, hasJSONFormat, isEnabled, isEnabled, isEnabled, isEnabled, isEnabled, requiresPropertyOrdering, setCharacterEscapes, setCodec, setErrorReportConfiguration, setInputDecorator, setOutputDecorator, setRecyclerPool, setRootValueSeparator, setStreamReadConstraints, setStreamWriteConstraints, streamReadConstraints, streamWriteConstraints`

  ### Methods inherited from class com.fasterxml.jackson.core.TokenStreamFactory

  `_checkRangeBoundsForByteArray, _checkRangeBoundsForCharArray, _createDataOutputWrapper, _fileInputStream, _fileOutputStream, _optimizedStreamFromURL, _reportRangeError`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EmptyWithClosingTagXmlFactory

    public EmptyWithClosingTagXmlFactory()

- ## Method Details

  - ### createGenerator

    public com.fasterxml.jackson.dataformat.xml.ser.ToXmlGenerator createGenerator(Writer out) throws IOException
    Overrides:
      `createGenerator` in class `com.fasterxml.jackson.dataformat.xml.XmlFactory`
    Throws:
      `IOException`